Skip to main content
POST
/
v1
/
events
Ingest a single audit event
curl --request POST \
  --url https://api.fact0.io/v1/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actor": {
    "id": "<string>",
    "email": "<string>"
  },
  "action": "<string>",
  "resource": {
    "id": "<string>",
    "type": "<string>",
    "name": "<string>"
  },
  "id": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "metadata": {}
}
'
{
  "actor": {
    "id": "<string>",
    "email": "<string>"
  },
  "action": "<string>",
  "resource": {
    "id": "<string>",
    "type": "<string>",
    "name": "<string>"
  },
  "id": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "metadata": {},
  "tenant_id": "<string>",
  "prev_hash": "<string>",
  "hash": "<string>",
  "sequence_number": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fact0.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with alk_live_. Write scope required for ingest.

Headers

X-Fact0-Sync
enum<string>

Set to true for synchronous ingest

Available options:
true

Query Parameters

sync
enum<string>

Set to true for synchronous ingest

Available options:
true

Body

application/json
actor
object
required
action
string
required

Dot-notation action name (e.g. document.delete)

resource
object
required
outcome
enum<string>
required
Available options:
success,
failure,
error
id
string
timestamp
string<date-time>
metadata
object

Response

Event committed (sync mode)

actor
object
required
action
string
required

Dot-notation action name (e.g. document.delete)

resource
object
required
outcome
enum<string>
required
Available options:
success,
failure,
error
id
string
timestamp
string<date-time>
metadata
object
tenant_id
string
prev_hash
string
hash
string
sequence_number
integer<int64>
created_at
string<date-time>